#
# Cookbook Name:: pacemaker
# Recipe:: authkey_writer
#
# Copyright 2015, SUSE
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

require "base64"

authkey      = node[:pacemaker][:authkey]
authkey_file = node[:pacemaker][:authkey_file]

directory File.dirname(authkey_file) do
  owner "root"
  group "root"
  mode "0755"
  action :create
end

# decode so we can write out to file below
pacemaker_authkey = Base64.decode64(authkey)

file authkey_file do
  content pacemaker_authkey
  owner node[:pacemaker][:authkey_file_owner]
  group "root"
  mode "0400"
  action :create
end
